# Update a Controlled Vocabulary. Update a Controlled Vocabulary. User must have permission to update a controlled vocabulary. In response, it will contain the object of metadata definition attributes like id, name, type and search fields etc. Endpoint: PATCH /metadata/vocabulary/{id} Version: 1.0 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `AccessToken` (string, required) JWT token provided by Authentication Token creation operation. - `Content-Type` (string, required) Enum: "application/json" ## Path parameters: - `id` (string, required) Specify a Controlled Vocabulary ID. ## Request fields (application/json): - `name` (string) New name of the Controlled Vocabulary Example: "Color List" - `add` (array) JSON Array with new values to add into the Controlled Vocabulary Example: ["Black"] - `update` (array) Payload to update existing values by their IDs Example: [{"valueId":"4746f395-05ea-4cc3-9577-c636f468a59c","valueName":"Green"},{"valueId":"aaaaaaaa-bbbb-cccc-ddddd-eeeeeeeeeeee","valueName":"Blue"}] - `update.valueId` (string) - `update.valueName` (string) - `delete` (object) - `delete.createdEpoch` (integer) Create time in milliseconds Example: 1613877219787 - `delete.customerId` (string) Customer Id Example: "157167185123342" - `delete.lastUpdatedEpoch` (integer) Update time in milliseconds Example: 1613877219787 - `delete.metadataDefinitionId` (string) Field ID Example: "6c921f5c-24c2-40b9-8718-3ad2d4a6be54" - `delete.metadataDefinitionName` (string) Field Name Example: "Colors" - `delete.metadataDefinitionSearchField` (string) Map search field for this metadata definition Example: "colors" - `delete.metadataDefinitionType` (string) Example: "controlledVocabulary" - `delete.metadata` (object) Vocabulary metadata - `delete.metadata.values` (array) - `delete.metadata.searchable` (boolean) Toggle searchability ## Response 200 fields (application/json): - `createdEpoch` (integer) Create time in milliseconds Example: 1613877219787 - `customerId` (string) Customer Id Example: "157167185123342" - `lastUpdatedEpoch` (integer) Update time in milliseconds Example: 1613877219787 - `metadataDefinitionId` (string) Field ID Example: "6c921f5c-24c2-40b9-8718-3ad2d4a6be54" - `metadataDefinitionName` (string) Field Name Example: "Colors" - `metadataDefinitionSearchField` (string) Map search field for this metadata definition Example: "colors" - `metadataDefinitionType` (string) Example: "controlledVocabulary" - `metadataDocument` (object) Vocabulary metadata - `metadataDocument.values` (array) - `metadataDocument.values.valueId` (string) - `metadataDocument.values.valueName` (string) Example: "Red" - `metadataDocument.searchable` (boolean) Toggle searchability ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string) ## Response 404 fields (application/json): - `message` (string) - `detail` (string)